import Card from "./ServiceCard";
import AlgorithmImg from "../../../assets/imgs/Algorithm.jpg";
import ScheduleImg from "../../../assets/imgs/Schedule.jpg";
import TargetImg from "../../../assets/imgs/Target.jpg";
import ExpandImg from "../../../assets/imgs/Expand.jpg";
import { useTranslation } from "react-i18next";

const SocialMediaCards = () => {
  const { t } = useTranslation();

  return (
    <div className="h-full flex lg:mt-20 flex-col flex-wrap xl:flex-row mx-4 gap-5">
      <Card
        title={t("services.cards.social.card1.title")}
        description={t("services.cards.social.card1.description")}
        imgSrc={AlgorithmImg}
        delay="0s"
      />
      <Card
        title={t("services.cards.social.card2.title")}
        description={t("services.cards.social.card2.description")}
        imgSrc={ScheduleImg}
        delay="0.1s"
      />
      <Card
        title={t("services.cards.social.card3.title")}
        description={t("services.cards.social.card3.description")}
        imgSrc={TargetImg}
        delay="0.2s"
      />
      <Card
        title={t("services.cards.social.card4.title")}
        description={t("services.cards.social.card4.description")}
        imgSrc={ExpandImg}
        delay="0.3s"
      />
    </div>
  );
};

export default SocialMediaCards;
